<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."class/view/admin/adminplugintemplatedview.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/bloglook/class/view/pluginbloglookconfigview.class.php" );

	/**
	 * shows a form with the current configuration
	 */
	class PluginBlogLookConfigAction extends AdminAction
	{

		function PluginBlogLookConfigAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}

		function perform()
		{
            $this->_view = new PluginBlogLookConfigView( $this->_blogInfo );

			$this->setCommonData();

			return true;
		}
	}
?>
